Subject: Re: scsi info

From: [email-masked] (Niklas Hallqvist)

>>>>> "Michael" == Michael L Hitch <[email-masked]> writes:

Michael>   Well, I wrote a GVP driver for Minix.  I don't recall
Michael> seeing a driver from anyone else for Minix, but I've had very
Michael> little to do with Minix for quite a while.  I can't remember
Michael> if I received a doc file from you - I think I used the
Michael> information from the Mach driver.  I'll have to look though
Michael> some old mail to see if I've still got anything.

I don't think it was you, but rather someone outside the Mach project.
What the doc file had that the drivers have not are a stab at describing
the Series I controller and a description of the AmigaDOS device structures.
I never cared about implementing such support as I had no Series I card.
The AmigaDOS structures were only useful when reading gvpscsi.device code.
Anyway, I think that the source is as good as my doc on the series II, so
just use any driver source, be it Mach, Minix, NetBSD 0.8, or late NetBSD.
It's a very simple (too simple) DMAC.

Niklas